Bug 1074309 - [abrt] dissy: InfoBox.py:14:<module>:ImportError: No module named webkit
Summary: [abrt] dissy: InfoBox.py:14:<module>:ImportError: No module named webkit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dissy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ae383f73016536c5563e8576a5e...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-09 15:28 UTC by 汪明衡
Modified: 2015-01-27 03:08 UTC (History)
4 users (show)

Fixed In Version: dissy-10-3.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-27 02:59:53 UTC


Attachments (Terms of Use)
File: backtrace (6.46 KB, text/plain)
2014-03-09 15:28 UTC, 汪明衡
no flags Details
File: environ (1.29 KB, text/plain)
2014-03-09 15:28 UTC, 汪明衡
no flags Details

Description 汪明衡 2014-03-09 15:28:30 UTC
Version-Release number of selected component:
dissy-10-1.fc20

Additional info:
reporter:       libreport-2.1.12
cmdline:        /usr/bin/python /usr/bin/dissy
executable:     /usr/bin/dissy
kernel:         3.13.5-202.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
#1 <module> in /usr/lib/python2.7/site-packages/dissy/InfoBox.py:14
#2 <module> in /usr/bin/dissy:35

Comment 1 汪明衡 2014-03-09 15:28:37 UTC
Created attachment 872422 [details]
File: backtrace

Comment 2 汪明衡 2014-03-09 15:28:41 UTC
Created attachment 872423 [details]
File: environ

Comment 3 Fabien Archambault 2014-08-06 08:21:12 UTC
Hi,

This issue is simple to solve, you need to add the dependency : pywebkitgtk

To solve :
# yum install pywebkitgtk

The spec can be patch with:
--- dissy.spec	2014-08-06 10:20:22.682408659 +0200
+++ dissy.spec.old	2014-08-06 10:20:04.576083561 +0200
@@ -11,7 +11,6 @@
 Requires:       binutils
 Requires:       pygtk2
 Requires:       pygobject2
-Requires:       pywebkitgtk
 BuildArch:      noarch
 
 %description

Comment 4 Adrien Vergé 2015-01-17 15:34:22 UTC
Problem still not corrected in Fedora 21 (dissy-10-2.fc21.noarch).

Comment 5 Fedora Update System 2015-01-17 19:33:15 UTC
dissy-10-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dissy-10-3.fc21

Comment 6 Fedora Update System 2015-01-17 19:35:50 UTC
dissy-10-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dissy-10-2.fc20

Comment 7 Fedora Update System 2015-01-19 01:34:13 UTC
Package dissy-10-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dissy-10-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-0872/dissy-10-2.fc20
then log in and leave karma (feedback).

Comment 8 lnie 2015-01-19 05:31:26 UTC
dissy-10-3.fc21 works

Comment 9 Fedora Update System 2015-01-27 02:59:53 UTC
dissy-10-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-01-27 03:08:57 UTC
dissy-10-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.